Skip to main content
aboutsummaryrefslogtreecommitdiffstats
path: root/releng
diff options
context:
space:
mode:
authorRalf Sternberg2011-12-14 17:07:31 +0000
committerRalf Sternberg2011-12-14 17:07:31 +0000
commitf36e4be40f6ffb33466d3dc40b01b80cddbe3d29 (patch)
tree66a076140a0c8bde5d624af3f40256df18e1946d /releng
parent07627648ba830ee7272c5ca19d4b3aaecbd18fe9 (diff)
downloadorg.eclipse.rap-f36e4be40f6ffb33466d3dc40b01b80cddbe3d29.tar.gz
org.eclipse.rap-f36e4be40f6ffb33466d3dc40b01b80cddbe3d29.tar.xz
org.eclipse.rap-f36e4be40f6ffb33466d3dc40b01b80cddbe3d29.zip
Adding test script for bug 366558: [releng] Split rap-runtime build job into build and aggregation part
https://bugs.eclipse.org/bugs/show_bug.cgi?id=366558
Diffstat (limited to 'releng')
-rw-r--r--releng/org.eclipse.rap.releng/scripts/runtime-test-build.sh56
1 files changed, 56 insertions, 0 deletions
diff --git a/releng/org.eclipse.rap.releng/scripts/runtime-test-build.sh b/releng/org.eclipse.rap.releng/scripts/runtime-test-build.sh
new file mode 100644
index 0000000000..9d5ffbdb4b
--- /dev/null
+++ b/releng/org.eclipse.rap.releng/scripts/runtime-test-build.sh
@@ -0,0 +1,56 @@
+#!/bin/bash
+#
+
+if [ "${BUILD_TYPE:0:1}" == "I" -o "${BUILD_TYPE:0:1}" == "M" -o "${BUILD_TYPE:0:1}" == "R" ]; then
+ sign=true
+else
+ sign=false
+fi
+
+cd "$WORKSPACE/source/releng/org.eclipse.rap.releng/runtime"
+echo "Running maven on $PWD, sign=$sign"
+$MVN -e clean package -Dsign=$sign
+exitcode=$?
+if [ "$exitcode" != "0" ]; then
+ echo "Maven exited with error code " + $exitcode
+fi
+
+VERSION=$(ls runtime-repository/target/repository/features/org.eclipse.rap.runtime_*.jar | sed 's/.*_\([0-9.-]\+\)\..*\.jar/\1/')
+TIMESTAMP=$(ls runtime-repository/target/repository/features/org.eclipse.rap.runtime_*.jar | sed 's/.*\.\([0-9-]\+\)\.jar/\1/')
+
+echo "Version is $VERSION"
+echo "Timestamp is $TIMESTAMP"
+test -n "$VERSION" || exit 1
+test -n "$TIMESTAMP" || exit 1
+
+# Example: rap-runtime-1.5.0-N-20110814-2110.zip
+zipFileName=rap-runtime-$VERSION-$BUILD_TYPE-$TIMESTAMP.zip
+if [ -d runtime-repository/target/fixedSigned ]; then
+ cd runtime-repository/target/fixedSigned
+ zip -r "$WORKSPACE/$zipFileName" .
+ zip -d "$WORKSPACE/$zipFileName" "META-INF/*"
+ cd -
+else
+ mv runtime-repository/target/*.zip "$WORKSPACE/$zipFileName"
+fi
+
+repoZipFileName=rap-runtime-repo-$VERSION-$BUILD_TYPE-$TIMESTAMP.zip
+if [ -d runtime-repository/target/fixedPacked ]; then
+ cd runtime-repository/target/fixedPacked
+ zip -r "$WORKSPACE/$repoZipFileName" .
+ zip -d "$WORKSPACE/$repoZipFileName" "META-INF/*"
+ cd -
+fi
+
+######################################################################
+# Include legal files in zip
+
+cd "$WORKSPACE"
+cp -f source/releng/org.eclipse.rap.releng/legal/notice.html .
+cp -f source/releng/org.eclipse.rap.releng/legal/epl-v10.html .
+zip "$zipFileName" notice.html epl-v10.html
+
+######################################################################
+# Copy build artifacts
+
+saveArtifacts "$WORKSPACE/$zipFileName" "$WORKSPACE/$repoZipFileName"

Back to the top